#ifndef COMPONENT_TEMP_H
#define COMPONENT_TEMP_H

/** SOFTWARE API DEFINITION FOR Temperature Sensor **/

typedef struct {
	__O uint32_t TASKS_START; // Offset: 0x000 - Start Temperature Measurement
	__O uint32_t TASKS_STOP; // Offset: 0x004 - Stop Temperature Measurement
	__I uint32_t RESERVED0[62];
	__IO uint32_t EVENTS_DATARDY; // Offset: 0x100 - Temperature Measurement Complete, Data Ready
	__I uint32_t RESERVED1[128];
	__IO uint32_t INTENSET; // Offset: 0x304 - Interrupt Enable Set Register
	__IO uint32_t INTENCLR; // Offset: 0x308 - Interrupt Enable Clear Register
	__I uint32_t RESERVED2[127];
	__I int32_t TEMP; // Offset: 0x508 - Temperature in Degrees Celsius (0.25 Degree Steps)
	__I uint32_t RESERVED3[5];
	__IO uint32_t A0; // Offset: 0x520 - Slope of 1st Piece Wise Linear Function
	__IO uint32_t A1; // Offset: 0x524 - Slope of 2nd Piece Wise Linear Function
	__IO uint32_t A2; // Offset: 0x528 - Slope of 3rd Piece Wise Linear Function
	__IO uint32_t A3; // Offset: 0x52C - Slope of 4th Piece Wise Linear Function
	__IO uint32_t A4; // Offset: 0x530 - Slope of 5th Piece Wise Linear Function
	__IO uint32_t A5; // Offset: 0x534 - Slope of 6th Piece Wise Linear Function
	__I uint32_t RESERVED4[2];
	__IO uint32_t B0; // Offset: 0x540 - Y-Intercept of 1st Piece Wise Linear Function
	__IO uint32_t B1; // Offset: 0x544 - Y-Intercept of 2nd Piece Wise Linear Function
	__IO uint32_t B2; // Offset: 0x548 - Y-Intercept of 3rd Piece Wise Linear Function
	__IO uint32_t B3; // Offset: 0x54C - Y-Intercept of 4th Piece Wise Linear Function
	__IO uint32_t B4; // Offset: 0x550 - Y-Intercept of 5th Piece Wise Linear Function
	__IO uint32_t B5; // Offset: 0x554 - Y-Intercept of 6th Piece Wise Linear Function
	__I uint32_t RESERVED5[2];
	__IO uint32_t T0; // Offset: 0x560 - End Point of 1st Piece Wise Linear Function
	__IO uint32_t T1; // Offset: 0x564 - End Point of 2nd Piece Wise Linear Function
	__IO uint32_t T2; // Offset: 0x568 - End Point of 3rd Piece Wise Linear Function
	__IO uint32_t T3; // Offset: 0x56C - End Point of 4th Piece Wise Linear Function
	__IO uint32_t T4; // Offset: 0x570 - End Point of 5th Piece Wise Linear Function
} Temp_t;

#endif
