#ifndef GPIO_H
#define GPIO_H

/**
 * @brief Pin configuration function.
 * @param[in] pin  The pin number to configure (0-31).
 * @param[in] direction  Pin direction (OUTPUT or INPUT).
 * @param[in] input  Connect or disconnect input buffer.
 * @param[in] pull  Pull-up/Pull-down resistor configuration.
 * @param[in] drive  Drive strength configuration.
 * @param[in] sense  Pin sensing mechanism.
 */
void GPIO_Configure(uint8_t pin, uint8_t direction, uint8_t input, uint8_t pull, uint8_t drive, uint8_t sense);

#endif
