#include "basics.h"
#include "board.h"
#include "util.h"

void setPinMode(uint8_t pin, uint8_t mode) {
	pin = (uint8_t) (pin - 1);

	if (pins[pin].pin_type == NOT_A_PIN) {
		return;
	}

	if (mode == INPUT || mode == INPUT_PULLUP || mode == INPUT_PULLDOWN) {
		GPIO_Configure(pins[pin].pin, GPIO_PIN_CNF_DIR_INPUT, GPIO_PIN_CNF_INPUT_CONNECT, (mode == INPUT ? GPIO_PIN_CNF_NOPULL : (mode == INPUT_PULLUP ? GPIO_PIN_CNF_PULLUP : GPIO_PIN_CNF_PULLDOWN)), GPIO_PIN_CNF_DRIVE_S0S1, GPIO_PIN_CNF_NOSENSE);
	} else {
		GPIO_Configure(pins[pin].pin, GPIO_PIN_CNF_DIR_OUTPUT, GPIO_PIN_CNF_INPUT_DISCONNECT, GPIO_PIN_CNF_NOPULL, GPIO_PIN_CNF_DRIVE_H0H1, GPIO_PIN_CNF_NOSENSE);
	}
}

void setPinValue(uint8_t pin, uint8_t value) {
	pin = (uint8_t) (pin - 1);

	if (pins[pin].pin_type == NOT_A_PIN) {
		return;
	}

	if (value) {
		GPIO->OUTSET = (uint32_t) (1 << pin);
	} else {
		GPIO->OUTCLR = (uint32_t) (1 << pin);
	}
}
